GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtThreadCtrl Class Reference
GTPin: GEN Architecture

Instruction attribute that controls thread switching. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtThreadCtrl (GED_THREAD_CTRL v=GED_THREAD_CTRL_INVALID)
| Conversion constructor.
constexpr | operator GED_THREAD_CTRL () const
| Conversion operator.
constexpr bool | IsNormal () const
| Return true for normal (void) thread control.
constexpr bool | IsAtomic () const
| Return true for atomic thread control.
constexpr bool | IsSwitch () const
| Return true for thread switch control.
const char * | ToString () const
| Return string representation.

## Detailed Description

Instruction attribute that controls thread switching.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT